## When External Oracle Cloud Infrastructure is used, set these variables
## External OCI Cloud Controller Manager
## https://github.com/oracle/oci-cloud-controller-manager/blob/v1.29.0/manifests/provider-config-example.yaml
# external_oracle_auth_region: ""
# external_oracle_auth_tenancy: ""
# external_oracle_auth_user: ""
# external_oracle_auth_key: ""
# external_oracle_auth_passphrase: ""
# external_oracle_auth_fingerprint: ""
# external_oracle_auth_use_instance_principals: false

# external_oracle_compartment: ""
# external_oracle_vcn: ""
# external_oracle_load_balancer_subnet1: ""
# external_oracle_load_balancer_subnet2: ""
# external_oracle_load_balancer_security_list_management_mode: All
# external_oracle_load_balancer_security_lists: {}

# external_oracle_ratelimiter_qps_read: 20.0
# external_oracle_ratelimiter_bucket_read: 5
# external_oracle_ratelimiter_qps_write: 20.0
# external_oracle_ratelimiter_bucket_write: 5

# external_oracle_cloud_controller_image_repo: ghcr.io/oracle/cloud-provider-oci
# external_oracle_cloud_controller_image_tag: "v1.29.0"


## When Oracle Cloud Infrastructure is used, set these variables
# oci_private_key:
# oci_region_id:
# oci_tenancy_id:
# oci_user_id:
# oci_user_fingerprint:
# oci_compartment_id:
# oci_vnc_id:
# oci_subnet1_id:
# oci_subnet2_id:
## Override these default/optional behaviors if you wish
# oci_security_list_management: All
## If you would like the controller to manage specific lists per subnet. This is a mapping of subnet ocids to security list ocids. Below are examples.
# oci_security_lists:
#   ocid1.subnet.oc1.phx.aaaaaaaasa53hlkzk6nzksqfccegk2qnkxmphkblst3riclzs4rhwg7rg57q: ocid1.securitylist.oc1.iad.aaaaaaaaqti5jsfvyw6ejahh7r4okb2xbtuiuguswhs746mtahn72r7adt7q
#   ocid1.subnet.oc1.phx.aaaaaaaahuxrgvs65iwdz7ekwgg3l5gyah7ww5klkwjcso74u3e4i64hvtvq: ocid1.securitylist.oc1.iad.aaaaaaaaqti5jsfvyw6ejahh7r4okb2xbtuiuguswhs746mtahn72r7adt7q
## If oci_use_instance_principals is true, you do not need to set the region, tenancy, user, key, passphrase, or fingerprint
# oci_use_instance_principals: false
## If you would like to control OCI query rate limits for the controller
# oci_rate_limit:
#   rate_limit_qps_read:
#   rate_limit_qps_write:
#   rate_limit_bucket_read:
#   rate_limit_bucket_write:
## Other optional variables
# oci_cloud_controller_pull_source: (default iad.ocir.io/oracle/cloud-provider-oci)
# oci_cloud_controller_pull_secret: (name of pull secret to use if you define your own mirror above)
